.f.o:
	f77 -c -I$(inc_path) $*.f

inc_path="/usr/local/netcdf-3.4/include"
lib_path="/usr/local/netcdf-3.4/lib"

write_header:\
 write_header.o write_all_nc_headers.o write_one_nc_header.o\
 write_nc_attrib.o nc_errors.o strings.o add_nc_climate.o
	f77 -o write_header write_header.o write_all_nc_headers.o\
 write_one_nc_header.o write_nc_attrib.o nc_errors.o strings.o\
 add_nc_climate.o\
 -L$(lib_path) -lnetcdf

write_header.o:		write_header.f		id.inc
write_all_nc_headers.o:	write_all_nc_headers.f	id.inc	specs.inc
write_one_nc_header.o:	write_one_nc_header.f	id.inc	specs.inc	name.inc	err_codes.inc
write_nc_attrib.o:	write_nc_attrib.f	id.inc	err_codes.inc	missing_values.inc
nc_errors.o:		nc_errors.f
strings.o:		strings.f
add_nc_climate.o:	add_nc_climate.f	id.inc	name.inc	stats_texts.inc	err_codes.inc
